## org.eclipse.emf.mint.util
Class JavaElementNotification

    java.lang.Object
      org.eclipse.emf.common.notify.NotificationWrapper
          org.eclipse.emf.mint.util.JavaElementNotification

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notification, IJavaElementNotification

    public class JavaElementNotification

extends org.eclipse.emf.common.notify.NotificationWrapper
implements IJavaElementNotification

Default implementation of `IJavaElementNotification`.

Clients may extend or instantiate this class.

Field Summary

Fields inherited from class org.eclipse.emf.common.notify.NotificationWrapper
`notification, notifier`

Fields inherited from interface org.eclipse.emf.common.notify.Notification
`ADD, ADD_MANY, CREATE, EVENT_TYPE_COUNT, MOVE, NO_FEATURE_ID, NO_INDEX, REMOVE, REMOVE_MANY, REMOVING_ADAPTER, RESOLVE, SET, UNSET`

Constructor Summary
`JavaElementNotification(org.eclipse.emf.common.notify.Notification notification)` Creates an instance wrapping the original Ecore notification and no model element.
`JavaElementNotification(org.eclipse.emf.common.notify.Notification notification, java.lang.Object element)` Creates an instance wrapping the original Ecore notification and a model element whose corresponding Java elements (may) have changed.

Method Summary
`java.lang.Object` `getElement()` Model element whose set of Java elements (potentially) changed.

Methods inherited from class org.eclipse.emf.common.notify.NotificationWrapper

`getEventType, getFeature, getFeatureID, getNewBooleanValue, getNewByteValue, getNewCharValue, getNewDoubleValue, getNewFloatValue, getNewIntValue, getNewLongValue, getNewShortValue, getNewStringValue, getNewValue, getNotifier, getOldBooleanValue, getOldByteValue, getOldCharValue, getOldDoubleValue, getOldFloatValue, getOldIntValue, getOldLongValue, getOldShortValue, getOldStringValue, getOldValue, getPosition, isReset, isTouch, merge, wasSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaElementNotification

    public JavaElementNotification(org.eclipse.emf.common.notify.Notification notification)

  Creates an instance wrapping the original Ecore notification and no model element.

  Parameters:
    `notification` - Ecore notification to wrap

### JavaElementNotification

    public JavaElementNotification(org.eclipse.emf.common.notify.Notification notification,
                                   java.lang.Object element)

  Creates an instance wrapping the original Ecore notification and a model element whose corresponding Java elements (may) have changed.

  Parameters:
    `notification` - Ecore notification to wrap
    `element` - model element whose corresponding Java elements changed

Method Detail

### getElement

    public java.lang.Object getElement()

  Description copied from interface: `IJavaElementNotification`
  Model element whose set of Java elements (potentially) changed.

  Specified by:
    `getElement` in interface `IJavaElementNotification`
  Returns:
    model element whose Java elements changed

Copyright 2008 Ecliptical Software Inc. and others. All Rights Reserved.